es.gob.jmulticard.jse.provider

## Class DnieProvider

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - java.security.Provider
        - - es.gob.jmulticard.jse.provider.DnieProvider

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

      public final class DnieProvider
      extends java.security.Provider

  JCA cryptographic provider for DNIe Services:
  `KeyStore`
    DNI
  `Signature`
    NonewithRSA, SHA1withRSA, SHA256withRSA, SHA384withRSA, SHA512withRSA
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.security.Provider

      `java.security.Provider.Service`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static es.gob.jmulticard.card.test.ClientSocket` | `clientSocket`
    `static java.util.List<java.lang.String>` | `KEYSTORE_TYPE_AVAILABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DnieProvider()` Constructor

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getKeystoreType()` Get the key store type
    `static void` | `setKeystoreType(java.lang.String keystoreType)` Set the key store type
    `static void` | `setNotifyInterface(SignatureNotification signatureNotification)` Internal use

    - ### Methods inherited from class java.security.Provider

      `clear, compute, computeIfAbsent, computeIfPresent, elements, entrySet, forEach, get, getInfo, getName, getOrDefault, getProperty, getService, getServices, getVersion, keys, keySet, load, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, toString, values`

    - ### Methods inherited from class java.util.Properties

      `getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clone, contains, containsKey, containsValue, equals, hashCode, isEmpty, size`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### clientSocket

          public static es.gob.jmulticard.card.test.ClientSocket clientSocket

    - #### KEYSTORE_TYPE_AVAILABLE

          public static final java.util.List<java.lang.String> KEYSTORE_TYPE_AVAILABLE

  - ### Constructor Detail

    - #### DnieProvider

          public DnieProvider()

      Constructor

  - ### Method Detail

    - #### getKeystoreType

          public static java.lang.String getKeystoreType()

      Get the key store type

    - #### setKeystoreType

          public static void setKeystoreType(java.lang.String keystoreType)

      Set the key store type

    - #### setNotifyInterface

          public static void setNotifyInterface(SignatureNotification signatureNotification)

      Internal use